class CreateUseCases < ActiveRecord::Migration
  def self.up
    create_table :use_cases do |t|
      t.column :name, :string
      t.column :description, :text
      t.column :actor_id, :text
      t.column :preconditions, :text
      t.column :postconditions, :text
      t.column :notes, :text
      t.column :created_at, :datetime
      t.column :updated_at, :datetime
    end
  end

  def self.down
    drop_table :use_cases
  end
end
